<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue\MaibaAIFeaturesControlAction;

use UnexpectedValueException;




class MaibaAIFeatureStatus
{
    


    const ENABLED = 0;
    


    const ENABLED_HAS_LEARNING = 1;
    


    const DISABLED = 2;

    private static $valueToName = [
        self::ENABLED => 'ENABLED',
        self::ENABLED_HAS_LEARNING => 'ENABLED_HAS_LEARNING',
        self::DISABLED => 'DISABLED',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

